seal "transit" {
    address            = "{{ hashistack_vault_transit_seal_api_address }}"
    token              = "{{ hashistack_vault_transit_seal_token }}"
    disable_renewal    = "{{ hashistack_vault_transit_seal_disable_renewal }}"
  
    // Key configuration
    key_name           = "{{ hashistack_vault_transit_seal_key_name }}"
    mount_path         = "{{ hashistack_vault_transit_seal_mount_path }}"
  
    // TLS Configuration
    tls_ca_cert        = "{{ hashistack_vault_transit_seal_tls_ca_cert }}"
    tls_client_cert    = "{{ hashistack_vault_transit_seal_tls_client_cert }}"
    tls_client_key     = "{{ hashistack_vault_transit_seal_tls_client_key }}"
    tls_server_name    = "{{ hashistack_vault_transit_seal_tls_server_name }}"
    tls_skip_verify    = "{{ hashistack_vault_transit_seal_tls_skip_verify }}"
  }
  